lp:~peter-pearse/ubuntu/natty/lftp/prop001

Created by Peter Pearse on 2011-04-20 and last modified on 2011-04-20
Get this branch:
bzr branch lp:~peter-pearse/ubuntu/natty/lftp/prop001
Only Peter Pearse can upload to this branch. If you are Peter Pearse please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Peter Pearse
Status:
Development

Recent revisions

31. By Peter Pearse on 2011-04-20

Pass --host & --build to configure for cross building.

30. By Noël Köthe on 2010-07-31

* added changelog info to 4.0.6 that this version fixes CVE-2010-2251
* added missing : of a bug close in 4.0.9-2

29. By Noël Köthe on 2010-04-09

* new upstream release from 2010-03-25
  - fixes proftp problem. closes: Bug#570861
* switched to to dpkg-source 3.0 (quilt)
* pget help and lftp -h mentions -c since some time
  closes: Bug#377043
* lftp -c exists.:) closes: Bug#401572

28. By Noël Köthe on 2009-10-15

* new upstream release 4.0.2 from 2009-09-23
  - included gnutls >2.7 (use pkgconfig) Thanks Andreas Methler
    closes: Bug#529906
* debian/control added Build-Dep pkg-config
* debian/control no changes needed for Standard-Version 3.8.3
* debian/control changed Build-Dep from libreadline5-dev to
  libreadline-dev

27. By Cody A.W. Somerville on 2009-10-13

* debian/rules:
  - Remove '--without-ssl' from call to configure script as it is bogus and
    doesn't do a thing.
  - Change 'patch-stamp' to 'patch' to have the patches actually applied.
* debian/control:
  - Add build dependency on pkg-config.
  - Add build dependency on autoconf.
  - Add build dependency on automake1.10.
* debian/patches/use-pkg-config-instead-of-libgnutls-config.dpatch:
  - Patch configure.ac to correctly detect version of gnutls, per
     http://www.mail-archive.com/lftp-devel%40uniyar.ac.ru/msg01706.html
  - Fix autotools syntax issue (Thanks to Stefan Potyra's help).
* debian/patches/00list: Refreshed.

26. By Matthias Klose on 2009-09-19

Build-depend on libreadline-dev instead of libreadline5-dev.

25. By Noël Köthe on 2009-07-25

* new upstream release from 2009-07-21
* debian/control updated Standards-Version: (no updates needed)
* debian/compat debian/control raised debhelper to 5
* debian/control removed URL in description because we have Homepage:
* debian/control added ${misc:Depends} to Depends
* debian/rules debian/docs removed outdated ChangeLog from the package
  and handle NEWS as the changelog because upstream documents it there

24. By Noël Köthe on 2009-05-17

new upstream release from 2009-05-15

23. By Noël Köthe on 2009-01-30

* new upstream release from 2009-01-23
  - changed license of lftp from GPL 2 to GPL 3
    (upstream changed it in 3.7.7)
  - removed included 504638-memory_corruption.patch

22. By Noël Köthe on 2008-11-16

* new upstream release from 2008-11-07
* adding upstream patch to fix memory corruption
  504638-memory_corruption.patch
  (closes: Bug#504638)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/natty/lftp
This branch contains Public information 
Everyone can see this information.

Subscribers